XnProductionNodeDescription Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnProductionNodeType | Type
XnChar | strVendor [XN_MAX_NAME_LENGTH]
XnChar | strName [XN_MAX_NAME_LENGTH]
XnVersion | Version

## Detailed Description

An exported generator description.

## Member Data Documentation

## strName

XnChar XnProductionNodeDescription::strName[XN_MAX_NAME_LENGTH]

Generator name. Should be unique under Type and Vendor.

## strVendor

XnChar XnProductionNodeDescription::strVendor[XN_MAX_NAME_LENGTH]

Vendor name

## Type

XnProductionNodeType XnProductionNodeDescription::Type

Type of the production node.

## Version

XnVersion XnProductionNodeDescription::Version

Current version

The documentation for this struct was generated from the following file:

- XnTypes.h